<template>
  <div class="flex justify-center">
    <LightGallery :images="images" :index="index" :disable-scroll="true" @close="index = null" />
    <img @click="index = 0" :src="url" :width="width" :height="height" class="cursor-pointer" />
  </div>
</template>

<script>
export default {
  props: {
    url: String,
    title: String,
    width: { type: String, default: 'auto' },
    height: { type: String, default: 'auto' },
  },
  data() {
    return {
      images: [{ title: this.title, url: this.url }],
      index: null,
    }
  },
}
</script>
